HomePhabricator

[NVPTX] Associate a minimum PTX version for each SM architecture

Description

[NVPTX] Associate a minimum PTX version for each SM architecture

When a new SM architecture is introduced, it is only supported by the
current PTX version and later. Make sure we are using at least the
minimum PTX version for the target architecture.

This also removes support for PTX ISA < 3.2.

Details

Committed
jholewinskiMar 30 2015, 12:30 PM
Parents
rL233582: CodeGen: Use the new DebugLoc API, NFC
Branches
Unknown
Tags
Unknown